import { App } from "vue";
declare const _default: {
    install: (app: App) => void;
    View3D: import("vue").DefineComponent<{
        tag: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        canvasClass: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        src: {
            type: import("vue").PropType<string | string[]>;
        };
        iosSrc: {
            type: import("vue").PropType<string>;
        };
        variant: {
            type: import("vue").PropType<string | number>;
        };
        dracoPath: {
            type: import("vue").PropType<string>;
        };
        ktxPath: {
            type: import("vue").PropType<string>;
        };
        meshoptPath: {
            type: import("vue").PropType<string>;
        };
        fixSkinnedBbox: {
            type: import("vue").PropType<boolean>;
        };
        fov: {
            type: import("vue").PropType<number | "auto">;
        };
        center: {
            type: import("vue").PropType<"auto" | (string | number)[]>;
        };
        yaw: {
            type: import("vue").PropType<number>;
        };
        pitch: {
            type: import("vue").PropType<number>;
        };
        pivot: {
            type: import("vue").PropType<"auto" | (string | number)[]>;
        };
        initialZoom: {
            type: import("vue").PropType<number | {
                axis: "x" | "y" | "z";
                ratio: number;
            }>;
        };
        rotate: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").RotateControlOptions>>;
        };
        translate: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").TranslateControlOptions>>;
        };
        zoom: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").ZoomControlOptions>>;
        };
        autoplay: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").AutoplayOptions>>;
        };
        scrollable: {
            type: import("vue").PropType<boolean>;
        };
        wheelScrollable: {
            type: import("vue").PropType<boolean>;
        };
        useGrabCursor: {
            type: import("vue").PropType<boolean>;
        };
        ignoreCenterOnFit: {
            type: import("vue").PropType<boolean>;
        };
        skybox: {
            type: import("vue").PropType<string>;
        };
        envmap: {
            type: import("vue").PropType<string>;
        };
        background: {
            type: import("vue").PropType<string | number>;
        };
        exposure: {
            type: import("vue").PropType<number>;
        };
        shadow: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").ShadowOptions>>;
        };
        skyboxBlur: {
            type: import("vue").PropType<boolean>;
        };
        toneMapping: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/type/utils").LiteralUnion<import("three").ToneMapping, import("three").ToneMapping>>;
        };
        useDefaultEnv: {
            type: import("vue").PropType<boolean>;
        };
        defaultAnimationIndex: {
            type: import("vue").PropType<number>;
        };
        animationRepeatMode: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
                readonly ONE: "one";
                readonly NONE: "none";
                readonly ALL: "all";
            }>>;
        };
        annotationURL: {
            type: import("vue").PropType<string>;
        };
        annotationWrapper: {
            type: import("vue").PropType<string | HTMLElement>;
        };
        annotationSelector: {
            type: import("vue").PropType<string>;
        };
        annotationBreakpoints: {
            type: import("vue").PropType<Record<number, number>>;
        };
        annotationAutoUnfocus: {
            type: import("vue").PropType<boolean>;
        };
        webAR: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").WebARSessionOptions>>;
        };
        sceneViewer: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").SceneViewerSessionOptions>>;
        };
        quickLook: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").QuickLookSessionOptions>>;
        };
        arPriority: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
                readonly WEBXR: "webAR";
                readonly SCENE_VIEWER: "sceneViewer";
                readonly QUICK_LOOK: "quickLook";
            }>[]>;
        };
        poster: {
            type: import("vue").PropType<string | HTMLElement>;
        };
        canvasSelector: {
            type: import("vue").PropType<string>;
        };
        autoInit: {
            type: import("vue").PropType<boolean>;
        };
        autoResize: {
            type: import("vue").PropType<boolean>;
        };
        useResizeObserver: {
            type: import("vue").PropType<boolean>;
        };
        maintainSize: {
            type: import("vue").PropType<boolean>;
        };
        on: {
            type: import("vue").PropType<Partial<import("@egjs/view3d").View3DEvents>>;
        };
        plugins: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/plugin/View3DPlugin").default[]>;
        };
        maxDeltaTime: {
            type: import("vue").PropType<number>;
        };
    }, unknown, {
        view3D: import("@egjs/view3d/declaration/View3D").default;
    }, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        tag: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        canvasClass: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        src: {
            type: import("vue").PropType<string | string[]>;
        };
        iosSrc: {
            type: import("vue").PropType<string>;
        };
        variant: {
            type: import("vue").PropType<string | number>;
        };
        dracoPath: {
            type: import("vue").PropType<string>;
        };
        ktxPath: {
            type: import("vue").PropType<string>;
        };
        meshoptPath: {
            type: import("vue").PropType<string>;
        };
        fixSkinnedBbox: {
            type: import("vue").PropType<boolean>;
        };
        fov: {
            type: import("vue").PropType<number | "auto">;
        };
        center: {
            type: import("vue").PropType<"auto" | (string | number)[]>;
        };
        yaw: {
            type: import("vue").PropType<number>;
        };
        pitch: {
            type: import("vue").PropType<number>;
        };
        pivot: {
            type: import("vue").PropType<"auto" | (string | number)[]>;
        };
        initialZoom: {
            type: import("vue").PropType<number | {
                axis: "x" | "y" | "z";
                ratio: number;
            }>;
        };
        rotate: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").RotateControlOptions>>;
        };
        translate: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").TranslateControlOptions>>;
        };
        zoom: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").ZoomControlOptions>>;
        };
        autoplay: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").AutoplayOptions>>;
        };
        scrollable: {
            type: import("vue").PropType<boolean>;
        };
        wheelScrollable: {
            type: import("vue").PropType<boolean>;
        };
        useGrabCursor: {
            type: import("vue").PropType<boolean>;
        };
        ignoreCenterOnFit: {
            type: import("vue").PropType<boolean>;
        };
        skybox: {
            type: import("vue").PropType<string>;
        };
        envmap: {
            type: import("vue").PropType<string>;
        };
        background: {
            type: import("vue").PropType<string | number>;
        };
        exposure: {
            type: import("vue").PropType<number>;
        };
        shadow: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").ShadowOptions>>;
        };
        skyboxBlur: {
            type: import("vue").PropType<boolean>;
        };
        toneMapping: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/type/utils").LiteralUnion<import("three").ToneMapping, import("three").ToneMapping>>;
        };
        useDefaultEnv: {
            type: import("vue").PropType<boolean>;
        };
        defaultAnimationIndex: {
            type: import("vue").PropType<number>;
        };
        animationRepeatMode: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
                readonly ONE: "one";
                readonly NONE: "none";
                readonly ALL: "all";
            }>>;
        };
        annotationURL: {
            type: import("vue").PropType<string>;
        };
        annotationWrapper: {
            type: import("vue").PropType<string | HTMLElement>;
        };
        annotationSelector: {
            type: import("vue").PropType<string>;
        };
        annotationBreakpoints: {
            type: import("vue").PropType<Record<number, number>>;
        };
        annotationAutoUnfocus: {
            type: import("vue").PropType<boolean>;
        };
        webAR: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").WebARSessionOptions>>;
        };
        sceneViewer: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").SceneViewerSessionOptions>>;
        };
        quickLook: {
            type: import("vue").PropType<boolean | Partial<import("@egjs/view3d").QuickLookSessionOptions>>;
        };
        arPriority: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
                readonly WEBXR: "webAR";
                readonly SCENE_VIEWER: "sceneViewer";
                readonly QUICK_LOOK: "quickLook";
            }>[]>;
        };
        poster: {
            type: import("vue").PropType<string | HTMLElement>;
        };
        canvasSelector: {
            type: import("vue").PropType<string>;
        };
        autoInit: {
            type: import("vue").PropType<boolean>;
        };
        autoResize: {
            type: import("vue").PropType<boolean>;
        };
        useResizeObserver: {
            type: import("vue").PropType<boolean>;
        };
        maintainSize: {
            type: import("vue").PropType<boolean>;
        };
        on: {
            type: import("vue").PropType<Partial<import("@egjs/view3d").View3DEvents>>;
        };
        plugins: {
            type: import("vue").PropType<import("@egjs/view3d/declaration/plugin/View3DPlugin").default[]>;
        };
        maxDeltaTime: {
            type: import("vue").PropType<number>;
        };
    }>>, {
        tag: string;
        canvasClass: string;
    }>;
};
export default _default;
